ncsa.hdf.hdf5lib.exceptions

## Class HDF5HeapException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - ncsa.hdf.hdf5lib.exceptions.HDF5Exception
      - - ncsa.hdf.hdf5lib.exceptions.HDF5LibraryException
        - - ncsa.hdf.hdf5lib.exceptions.HDF5HeapException

All Implemented Interfaces:
  java.io.Serializable

    public class HDF5HeapException
    extends HDF5LibraryException

The class HDF5LibraryException returns errors raised by the HDF5 library.

This sub-class represents HDF-5 major error code H5E_HEAP

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class ncsa.hdf.hdf5lib.exceptions.HDF5Exception

`detailMessage`

### Constructor Summary

Constructors
Constructor and Description
`HDF5HeapException()` Constructs an `HDF5HeapException` with no specified detail message.
`HDF5HeapException(java.lang.String s)` Constructs an `HDF5HeapException` with the specified detail message.

### Method Summary

### Methods inherited from class ncsa.hdf.hdf5lib.exceptions.HDF5LibraryException

`getMajorErrorNumber, getMinorError, getMinorErrorNumber, printStackTrace, printStackTrace`

### Methods inherited from class ncsa.hdf.hdf5lib.exceptions.HDF5Exception

`getMessage`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HDF5HeapException

    public HDF5HeapException()

Constructs an `HDF5HeapException` with no specified detail message.

#### HDF5HeapException

    public HDF5HeapException(java.lang.String s)

Constructs an `HDF5HeapException` with the specified detail message.

Parameters:
  `s` - the detail message.